cufftResult
Date: 2010-04-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcuda.jcufft
Class cufftResult

    java.lang.Object
      jcuda.jcufft.cufftResult

    public class cufftResult

extends java.lang.Object

The result of a CUFFT operation

Field Summary
`static int` | `CUFFT_ALLOC_FAILED` CUFFT failed to allocate GPU memory.
`static int` | `CUFFT_EXEC_FAILED` CUFFT failed to execute an FFT on the GPU.
`static int` | `CUFFT_INTERNAL_ERROR` Used for all internal driver errors.
`static int` | `CUFFT_INVALID_PLAN` CUFFT is passed an invalid plan handle.
`static int` | `CUFFT_INVALID_SIZE` The user specifies an unsupported FFT size.
`static int` | `CUFFT_INVALID_TYPE` The user requests an unsupported type.
`static int` | `CUFFT_INVALID_VALUE` The user specifies a bad memory pointer.
`static int` | `CUFFT_SETUP_FAILED` The CUFFT library failed to initialize.
`static int` | `CUFFT_SHUTDOWN_FAILED` The CUFFT library failed to shut down.
`static int` | `CUFFT_SUCCESS` Any CUFFT operation is successful.
`static int` | `JCUFFT_INTERNAL_ERROR` An internal JCufft error occurred

Method Summary
`static java.lang.String` | `stringFor(int m)` Returns the String identifying the given cufftResult

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUFFT_SUCCESS

    public static final int CUFFT_SUCCESS

  Any CUFFT operation is successful.

  See Also:
    Constant Field Values

### CUFFT_INVALID_PLAN

    public static final int CUFFT_INVALID_PLAN

  CUFFT is passed an invalid plan handle.

  See Also:
    Constant Field Values

### CUFFT_ALLOC_FAILED

    public static final int CUFFT_ALLOC_FAILED

  CUFFT failed to allocate GPU memory.

  See Also:
    Constant Field Values

### CUFFT_INVALID_TYPE

    public static final int CUFFT_INVALID_TYPE

  The user requests an unsupported type.

  See Also:
    Constant Field Values

### CUFFT_INVALID_VALUE

    public static final int CUFFT_INVALID_VALUE

  The user specifies a bad memory pointer.

  See Also:
    Constant Field Values

### CUFFT_INTERNAL_ERROR

    public static final int CUFFT_INTERNAL_ERROR

  Used for all internal driver errors.

  See Also:
    Constant Field Values

### CUFFT_EXEC_FAILED

    public static final int CUFFT_EXEC_FAILED

  CUFFT failed to execute an FFT on the GPU.

  See Also:
    Constant Field Values

### CUFFT_SETUP_FAILED

    public static final int CUFFT_SETUP_FAILED

  The CUFFT library failed to initialize.

  See Also:
    Constant Field Values

### CUFFT_SHUTDOWN_FAILED

    public static final int CUFFT_SHUTDOWN_FAILED

  The CUFFT library failed to shut down.

  See Also:
    Constant Field Values

### CUFFT_INVALID_SIZE

    public static final int CUFFT_INVALID_SIZE

  The user specifies an unsupported FFT size.

  See Also:
    Constant Field Values

### JCUFFT_INTERNAL_ERROR

    public static final int JCUFFT_INTERNAL_ERROR

  An internal JCufft error occurred

  See Also:
    Constant Field Values

Method Detail

### stringFor

    public static java.lang.String stringFor(int m)

  Returns the String identifying the given cufftResult

  Parameters:
    `m` - The cufftResult
  Returns:
    The String identifying the given cufftResult

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD